summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author SPN Team2022-09-09 11:43:17 +0200
committer Dave Woodfall2022-09-09 11:43:17 +0200
commit79fc2c81e2b1ea79f2425c06ab342d8da4797c87 (patch)
treef91d32c7630b1d216e2d0e0f123c70a21dbac234 /system
parent9ac3069e4d5c455efe75efbc5d9eac9499bdd317 (diff)
downloadslackbuilds-79fc2c81e2b1ea79f2425c06ab342d8da4797c87.tar.gz
system/memory-editor: Added (MED Memory Editor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/memory-editor/README9
-rw-r--r--system/memory-editor/memory-editor.SlackBuild110
-rw-r--r--system/memory-editor/memory-editor.info10
-rw-r--r--system/memory-editor/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/system/memory-editor/README b/system/memory-editor/README
new file mode 100644
index 0000000000..a0f4bc9873
--- /dev/null
+++ b/system/memory-editor/README
@@ -0,0 +1,9 @@
+memory-editor (med) is a memory editor for Linux with a GUI.
+
+There was a memory editor in Windows, that was Game Master. But it
+was not a freeware. And there is a freeware memory editor, it is
+ArtMoney. But it is also for Windows only. In Linux, there is only
+one memory editor, scanmem with GameConqueror as the GUI. However,
+it does not fulfil my needs. Thus, I decided to create one which can
+fit my needs.
+
diff --git a/system/memory-editor/memory-editor.SlackBuild b/system/memory-editor/memory-editor.SlackBuild
new file mode 100644
index 0000000000..6cd1086a61
--- /dev/null
+++ b/system/memory-editor/memory-editor.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for memory-editor
+
+# Copyright 2022 SPN Team
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=memory-editor
+VERSION=${VERSION:-3.7.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.gz
+cd med-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mv $PKG/usr/lib $PKG/usr/lib${LIBDIRSUFFIX}
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/memory-editor/memory-editor.info b/system/memory-editor/memory-editor.info
new file mode 100644
index 0000000000..d9959692df
--- /dev/null
+++ b/system/memory-editor/memory-editor.info
@@ -0,0 +1,10 @@
+PRGNAM="memory-editor"
+VERSION="3.7.2"
+HOMEPAGE="https://github.com/allencch/med"
+DOWNLOAD="https://github.com/allencch/med/archive/refs/tags/3.7.2.tar.gz"
+MD5SUM="1c11ec98272c24a0e95a221ff7f1a796"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jsoncpp"
+MAINTAINER="SPN Team"
+EMAIL="pwmn-master@hotmail.com"
diff --git a/system/memory-editor/slack-desc b/system/memory-editor/slack-desc
new file mode 100644
index 0000000000..70cc8f0632
--- /dev/null
+++ b/system/memory-editor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+memory-editor: memory-editor (MED Memory Editor)
+memory-editor:
+memory-editor: There was a memory editor in Windows, that was Game Master. But it
+memory-editor: was not a freeware. And there is a freeware memory editor, it is
+memory-editor: ArtMoney. But it is also for Windows only. In Linux, there is only
+memory-editor: one memory editor, scanmem with GameConqueror as the GUI. However,
+memory-editor: it does not fulfil my needs. Thus, I decided to create one which can
+memory-editor: fit my needs.
+memory-editor:
+memory-editor:
+memory-editor: https://github.com/allencch/med